/**
 * This file is part of Seneschal, a ranking function generator for
 * machine arithmetic.
 * <http://www.philipp.ruemmer.org/seneschal.shtml>
 *
 * Copyright (C) 2009 Philipp Ruemmer <ph_r@gmx.net>
 *
 * Seneschal is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Seneschal is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Seneschal.  If not, see <http://www.gnu.org/licenses/>.
 */

package bitRanks

object ResourceFiles {

  private val preludeFile = "/resources/prelude.pri"
  private val commOpsFile = "/resources/commutativeOperators.list"

  private def toReader(stream : java.io.InputStream) =
    new java.io.BufferedReader (new java.io.InputStreamReader(stream))

  private def resourceAsStream(filename : String) =
    ResourceFiles.getClass.getResourceAsStream(filename)
  
  def preludeReader = toReader(resourceAsStream(preludeFile))
  def commOpsReader = toReader(resourceAsStream(commOpsFile))
}
